<template>   
  <div>
        <longdo-map @load="event" :zoom="10" :lastView="false" padding="mb-10">         
            <longdo-map-marker             
                v-for="(item, i) in markers"             
                :location="item.location"
                :title="item.title"             
                :detail="item.detail"     
                :key="i"             
            />           
            <!-- <v-btn class="pa-20 space-button" @click="pin1">pin1</v-btn>
            <v-btn class="pa-20 space-button" @click="pin2">pin2</v-btn>
            <v-btn @click="removeMK" class="pa-20 space-button" depressed color="error"  >ลบ Markers</v-btn>-->

    </longdo-map> 

 

   <!-- dialog -->
    <v-dialog v-model="detailDialog" persistent width="70%">
    <v-card>
    <v-row class="mb-6 pa-5" no-gutters>
      <v-col :cols="3">
          <v-radio-group v-model="typeSelected">
          <v-radio label="เสาไฟส่องสว่าง" value="1"></v-radio>
          <v-radio label="เสาไฟสัญญาณ" value="2"></v-radio>
          <v-radio label="ตู้ไฟสัญญาณ" value="3"></v-radio>
<!--           <v-radio label="ประเภทผิวจราจรเขตทางแยก" value="4"></v-radio>
          <v-radio label="ทางข้าม (ทางม้าลาย)" value="5"></v-radio>
          <v-radio label="สะพานลอยคนข้าม" value="6"></v-radio>
          <v-radio label="อุโมงค์หรือสะพานข้ามแยก" value="7"></v-radio> -->

        </v-radio-group>
      </v-col>

      <v-col :cols="9">
        <div v-if="typeSelected === '1'">
        <v-form>
        <h2>เสาไฟส่องสว่าง</h2>
            <v-radio-group v-model="formData.light_pole">
              <table>
                <tr>
                  <td><v-radio value="high_mast" label="High Mast" class="pb-5"></v-radio></td>
                  <td><v-text-field v-model="formData.lightPole_HM" outlined dense :disabled="formData.light_pole !== 'high_mast'"></v-text-field></td>
                  <td class="pb-6 pl-5">ม.</td>
                </tr>
                <tr>
                  <td><v-radio value="single_pole_lamp" label="เสาไฟกิ่งเดี่ยว" class="pb-5"></v-radio></td>
                  <td><v-text-field v-model="formData.lightPole_SP" outlined dense :disabled="formData.light_pole !== 'single_pole_lamp'"></v-text-field></td>
                  <td class="pb-6 pl-5">ม.</td>
                </tr>
                <tr>
                  <td><v-radio value="twin_lamp_post"  label="เสาไฟกิ่งคู่" class="pb-5"></v-radio></td>
                  <td><v-text-field v-model="formData.lightPole_TP" outlined dense :disabled="formData.light_pole !== 'twin_lamp_post'"></v-text-field></td>
                  <td class="pb-6 pl-5">ม.</td>
                </tr>
              </table>
            </v-radio-group>

          <label for=""><h3>วันที่ซ่อมบำรุงล่าสุด</h3></label>
          <v-menu
            ref="menu"
            v-model="menu"
            :close-on-content-click="false"
            :return-value.sync="dates"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-combobox
                v-model="formData.lightPole_MD"
                chips
                small-chips
                label="วันที่สิ้นสุดการรับประกัน"
                prepend-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-combobox>
            </template>
            <v-date-picker
              v-model="formData.lightPole_MD"
              no-title
              scrollable
            >
            </v-date-picker>
          </v-menu>
          <label for=""><h3>วันที่สิ้นสุดการรับประกัน</h3></label>
          <v-menu
            ref="menu"
            v-model="menu"
            :close-on-content-click="false"
            :return-value.sync="dates"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-combobox
                v-model="formData.lightPole_GD"
                chips
                small-chips
                label="วันที่สิ้นสุดการรับประกัน"
                prepend-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-combobox>
            </template>
            <v-date-picker
              v-model="formData.lightPole_GD"
              no-title
              scrollable
            >
            </v-date-picker>
          </v-menu>
         </v-form>
        </div><!-- tab1 -->
        <!-- tab2 -->
        <div v-if="typeSelected === '2'">
         <SLPpart @addLightList="addLightList" />
        </div>
        <!-- tab2 -->

        <!-- tab3 -->
        <div v-if="typeSelected === '3'">
        <v-form class="py-4">
          <label for=""><h2>ประเภทตู้ไฟสัญญาณ</h2></label>

          <!-- {{ formData.adaptive }}{{ formData.adaptive_another }}{{ formData.adaptive_HTOC }}{{ formData.vehicleActuated }}{{ formData.vehicleActuated }} -->
          <v-row>
              <v-col cols="3">

                <v-radio-group v-model="formData.lightBox">
                  <v-radio label="Adaptive" value="lightBox1"> </v-radio>
                  <v-radio label="Vehicle Actuated" value="lightBox2"></v-radio>
                  <v-radio label="Fixed time" value="lightBox3"></v-radio>
                </v-radio-group>

              </v-col>
              <v-col cols="9">

              <div v-if="formData.lightBox === 'lightBox1'">
                <v-radio-group v-model="formData.adaptive">
                <label for="xx">
                  <v-radio label="ขดลวดเหนี่ยวนำ (Inductive loop)" value="IL"></v-radio>
                  <v-radio label="ภาพวิดีโอ (Video Image processing)" value="VIP"></v-radio>
                  <v-row class="pl-0">
                    <v-col cols="auto">
                      <v-radio value="another" label="อื่น ๆ ระบุ" class="pt-2"></v-radio>
                    </v-col>
                    <v-col cols="auto" align="center">
                      <v-text-field v-model="formData.adaptive_another" outlined dense :disabled="formData.adaptive !== 'another'"></v-text-field>
                    </v-col>
                  </v-row>
                </label>
                <v-checkbox
                  v-model="formData.adaptive_HTOC"
                  :label="`มีการส่งข้อมูลการจราจรกลับไปที่ศูนย์ HTOC`"
                  false-value="0"
                  true-value="1"
                ></v-checkbox>
                </v-radio-group>
              </div>
              <div v-if="formData.lightBox === 'lightBox2'">             
              <v-radio-group v-model="formData.vehicleActuated">
                <label for="xx">
                  <v-radio label="ขดลวดเหนี่ยวนำ (Inductive loop)" value="IL"></v-radio>
                  <v-radio label="ภาพวิดีโอ (Video Image processing)" value="VIP"></v-radio>
                  <v-row class="pl-0">
                    <v-col cols="auto">
                      <v-radio value="another" label="อื่น ๆ ระบุ" class="pt-2"></v-radio>
                    </v-col>
                    <v-col cols="auto" align="center">
                      <v-text-field v-model="formData.vehicleActuated_another" outlined dense :disabled="formData.vehicleActuated !== 'another'"></v-text-field>
                    </v-col>
                  </v-row>
                </label>
                <v-checkbox
                  v-model="formData.vehicleActuated_HTOC"
                  :label="`มีการส่งข้อมูลการจราจรกลับไปที่ศูนย์ HTOC`"
                ></v-checkbox>
                </v-radio-group>
               </div>
               <div v-if="formData.lightBox === 'lightBox3'">
              <label for=""><h5 class="mt-5">วันที่ซ่อมบำรุงล่าสุด</h5></label>
           <v-menu
            ref="menu"
            v-model="menu"
            :close-on-content-click="false"
            :return-value.sync="dates"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-combobox
                v-model="formData.lightBox_MD"
                chips
                small-chips
                label="วันที่สิ้นสุดการรับประกัน"
                prepend-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-combobox>
            </template>
            <v-date-picker
              v-model="formData.lightBox_MD"
              no-title
              scrollable
            >
            </v-date-picker>
          </v-menu>
          <label for=""><h5>วันที่สิ้นสุดการรับประกัน</h5></label>
          <v-menu
            ref="menu"
            v-model="menu"
            :close-on-content-click="false"
            :return-value.sync="dates"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-combobox
                v-model="formData.lightBox_GD"
                chips
                small-chips
                label="วันที่สิ้นสุดการรับประกัน"
                prepend-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-combobox>
            </template>
            <v-date-picker
              v-model="formData.lightBox_GD"
              no-title
              scrollable
            >
            </v-date-picker>
           </v-menu>
          </div>
            </v-col>
          </v-row>
      </v-form>
      </div>
      <!-- tab3 -->
      <!-- tab4 -->
      <div v-if="typeSelected === '4'">
        <v-form>
        <h2>ประเภทผิวจราจรเขตทางแยก</h2>
        <b-form-group>
           <b-form-radio v-model="formData.typeTraffic" name="some-radios" value="asphalt" plain>แอสฟัลต์</b-form-radio>
           <b-form-radio v-model="formData.typeTraffic" name="some-radios" value="concrete" plain>คอนกรีต</b-form-radio>
        </b-form-group>    
        </v-form>
      </div>
      <!-- tab5 -->
      <div v-if="typeSelected === '5'">
        <v-form>
        <h2>ทางข้าม (ทางม้าลาย)</h2>
          <v-row>
              <v-col cols="3">
                <b-form-group>
                  <b-form-radio v-model="formData.crosswalk" name="crosswalk-radios" value="crosswalkM" plain>บนสายหลัก</b-form-radio>
                  <b-form-radio v-model="formData.crosswalk" name="crosswalk-radios" value="crosswalkS" plain>บนสายรอง</b-form-radio>
                </b-form-group>  
              </v-col>
              <v-col cols="9">
                <div v-if="formData.crosswalk === 'crosswalkM'">
                  <b-form-group>
                   <b-form-radio-group
                    v-model="formData.crosswalkMLine"
                    :options="formData.crosswalkMOpt"
                    plain
                    name="radio-inline"
                    ></b-form-radio-group>
                  </b-form-group>
                </div>

                <div v-if="formData.crosswalk === 'crosswalkS'">
                  <b-form-group>
                   <b-form-radio-group
                    v-model="formData.crosswalkSLine"
                    :options="formData.crosswalkSOpt"
                    plain
                    name="radio-inline"
                    ></b-form-radio-group>
                  </b-form-group>
                </div>
              </v-col>
          </v-row>
         </v-form>
      </div>
      <!-- tab6 -->
      <div v-if="typeSelected === '6'">
        <v-form>
        <h2>สะพานลอยคนข้าม</h2>
          <v-row>
              <v-col cols="3">
                <b-form-group>
                  <b-form-radio v-model="formData.flyover" name="flyover-radios" value="flyoverM" plain>บนสายหลัก</b-form-radio>
                  <b-form-radio v-model="formData.flyover" name="flyover-radios" value="flyoverS" plain>บนสายรอง</b-form-radio>
                </b-form-group>  
              </v-col>
              <v-col cols="9">
                <div v-if="formData.flyover === 'flyoverM'">
                  <b-form-group>
                   <b-form-radio-group
                    v-model="formData.flyoverMLine"
                    :options="formData.flyoverMOpt"
                    plain
                    name="radio-inline"
                    ></b-form-radio-group>
                  </b-form-group>
                </div>

                <div v-if="formData.flyover === 'flyoverS'">
                  <b-form-group>
                   <b-form-radio-group
                    v-model="formData.flyoverSLine"
                    :options="formData.flyoverSOpt"
                    plain
                    name="radio-inline"
                    ></b-form-radio-group>
                  </b-form-group>
                </div>
              </v-col>
          </v-row>
         </v-form>
      </div>
      <!-- tab7 -->
      <div v-if="typeSelected === '7'">
        <v-form>
        <h2>อุโมงค์หรือสะพานข้ามแยก</h2>
        <b-form-group>
           <b-form-radio v-model="formData.tunnelOrBridge" name="tunnelbridge-radios" value="tunnelMLine" plain>บนสายหลัก</b-form-radio>
           <b-form-radio v-model="formData.tunnelOrBridge" name="tunnelbridge-radios" value="tunnelSLine" plain>บนสายรอง</b-form-radio>
        </b-form-group>   
         </v-form>
      </div>


      </v-col>

    </v-row>
    <div class="d-grid gap-2 d-md-flex justify-content-md-end p-3">
      <b-button size="lg" variant="danger"  class="text-white" @click="removeMarker(/* markers[markers.length - 1].id,markers[markers.length - 1].location */)">ยกเลิก</b-button>
      <b-button size="lg" variant="primary" class="text-white" @click="addMarker(/* markers[markers.length - 1].id,markers[markers.length - 1].location */)" >บันทึก</b-button>
    </div>

      </v-card>
    </v-dialog>
    <!-- dialog -->

    <v-card-text>
      <v-row>
        <v-col cols="3" v-for="(item, i) in markers" :key="i">
          <v-card :elevation="isHovering ? 24 : 6" class="mx-auto pa-6" >
          <v-card-text elevation="10">
          <div>{{ item.title }}</div> <div class="text--primary"> {{ item.type }} :{{ item.text }}</div></v-card-text>
          <v-card-actions><v-btn variant="text" color="deep-purple-accent-4" @click="removeMarker(item.id)">remove</v-btn> </v-card-actions>
        </v-card>
        </v-col>
      </v-row>
    </v-card-text>
    <formComponent />
    </div>
</template>

<script>

import SLPpart from '~/components/SLPpart'
import formComponent from '~/components/formComponent'

export default {
  data() {
    return {
        markers: [],
        valLightList : [],
        map: null,
        detailDialog: false,
        typeSelected: null,
        btnSaveStatus : true,

        items: [
        {title : "ImageUploadPreview", slug : "image-upload-preview"}
      ],
      loadData: [],
      formData: {
        highway_office: '',
        district: '',
        crossroads: '',
        junction_name: '',
        main_highway_number: '',
        main_highway_name: '',
        secondary_highway_number: '',
        secondary_highway_name: '',
        img4way: [],
        imageUrl: '',
        lightPole: null,
        lightPole_HM: '',
        lightPole_SP: '',
        lightPole_TP: '',
        lightPole_MD: '',
        lightPole_GD: '',
        lightBox: '',
        adaptive: '',
        adaptive_another: '',
        adaptive_HTOC: false,
        vehicleActuated: '',
        vehicleActuated_another: '',
        vehicleActuated_HTOC: '',
        lightBox_MD: '',
        lightBox_GD: '',
        roadType: '',
        overpassM: '',
        overpassS: '',
        tunnelBridge: '',
        typeTraffic: '',
        crosswalk: '',
        crosswalkMLine: '',
        crosswalkMOpt: [
          { text: 'มีทางข้าม', value: 'มีทางข้าม' },
          { text: 'ไม่มีทางข้าม', value: 'ไม่มีทางข้าม' },
        ],
        crosswalkSLine: '',
        crosswalkSOpt: [
          { text: 'มีทางข้าม', value: 'มีทางข้าม' },
          { text: 'ไม่มีทางข้าม', value: 'ไม่มีทางข้าม' },
        ],
        flyover: '',
        flyoverMLine: '',
        flyoverMOpt: [
          { text: 'มีสะพานลอย', value: 'มีสะพานลอย' },
          { text: 'ไม่มีสะพานลอย', value: 'ไม่มีสะพานลอย' },
        ],
        flyoverSLine: '',
        flyoverSOpt: [
          { text: 'มีสะพานลอยม', value: 'มีสะพานลอย' },
          { text: 'ไม่มีสะพานลอย', value: 'ไม่มีสะพานลอย' },
        ],
        tunnelOrBridge : ''

      },
      SLPlist: [{}],
      lightList: [
        {
          lightBox: 1,
          type: 'full',
          hasLightHuman: true,
          hasButton: false,
        },
      ],
      images: [],
      newImage: null,
      imgSrc: null,
      divisionLista: [],
      agencies: [],
      agenciesTH: [],
      dis_nameList: [
      ],
      unSdis_nameList: [
      ],
      divisionList: [
      ],
      saveStatus:[],
      short : {
        id : "",
        location: {
          lat: "",
          lon: "",
        }
      }
    }
  },
  components: {
    SLPpart,
    formComponent
  },
  watch : {
    'formData.lightPole_HM' (val) {
      if(val.length > 0) { this.btnSaveStatus = false }
    },
    'formData.lightPole_SP' (val) {
      if(val.length > 0) { this.btnSaveStatus = false }
    },
    'formData.lightPole_TP' (val) {
      if(val.length > 0) { this.btnSaveStatus = false }
    },

  },
  methods: {
    addLightList(val) {
      this.valLightList = val
    },
    event(map) {
    
        // click
        map.Event.bind('click', () => {
            let latLon = map.location(longdo.LocationMode.Pointer)
            console.log("latLon" + latLon)
            if(latLon) {
              const addMarker = {
                id : Date.now(),
                location: {
                    lat: String(latLon.lat),
                    lon: String(latLon.lon),
                }
              }
              

              let newMarker = new longdo.Marker({
                lat: latLon.lat,
                lon: latLon.lon,
              })
              
              map.Overlays.add(newMarker)
              console.log("map " + JSON.stringify(map.Overlays))
              this.short = { ...addMarker }

         
              this.detailDialog = true
              
            }

        })

        // zoom
        map.Event.bind('zoom', () => {
            console.log('Map Zoom')
        })
      
    },

   async addMarker() {

    if(this.typeSelected === "1") {
     let values = (this.formData.light_pole === "high_mast") ? { type :this.formData.light_pole, text : this.formData.lightPole_HM }
                 :(this.formData.light_pole === "single_pole_lamp") ? { type :this.formData.light_pole, text : this.formData.lightPole_SP }
                 : (this.formData.light_pole === "twin_lamp_post") ? { type :this.formData.light_pole, text : this.formData.lightPole_TP }
                 : ""
     let result = {
        id : this.short.id,
        lat : this.short.location.lat,
        lon : this.short.location.lon,
        title : "เสาไฟส่องสว่าง",
        type : (values.type === "high_mast") ? "High Mast" : (values.type === "single_pole_lamp") ? "เสาไฟกิ่งเดี่ยว" : (values.type === "twin_lamp_post") ? "เสาไฟกิ่งคู่" : "-",
        text : values.text,
        dateLatest : this.formData.lightPole_MD,
        dateEnd : this.formData.lightPole_GD,
     }
 
     this.markers.push(result)
     this.short = {}
     this.detailDialog = false

    } else if(this.typeSelected === "2") {
      let result = {
        id : this.short.id,
        lat : this.short.location.lat,
        lon : this.short.location.lon,
        title : "เสาไฟสัญญาณ",
        type : "จำนวน",
        text : this.valLightList.length,
     }
     this.markers.push(result)
     this.detailDialog = false
    } else if(this.typeSelected === "3") {
      /*     <v-radio label="ขดลวดเหนี่ยวนำ (Inductive loop)" value="IL"></v-radio>
                  <v-radio label="ภาพวิดีโอ (Video Image processing)" value="VIP"></v-radio> */
    let values = (this.formData.lightBox === "lightBox1") ?  { type :this.formData.lightBox, text : this.formData.adaptive, description : this.formData.adaptive_another, checkBox : this.formData.adaptive_HTOC } 
                 :(this.formData.lightBox === "lightBox2") ? { type :this.formData.lightBox, text : this.formData.vehicleActuated, description : this.formData.vehicleActuated_another,  checkBox : this.formData.vehicleActuated_HTOC }
                 : (this.formData.lightBox === "lightBox3") ? { type :this.formData.lightBox, text : "fixed time", checkBox : false }
                 : ""
                 /* {{item.type === "Adative" || item.type === "VehicleActuated" ? item.text : `วันที่เริ่ม ${item.dateLatest} -วันที่สิ้นสุด ${item.dateLatest} `}} */
     let result = {
        id : this.short.id,
        lat : this.short.location.lat,
        lon : this.short.location.lon,
        title : "ตู้ไฟสัญญาณ",
        type : (values.type === "lightBox1") ? "Adative" : (values.type === "lightBox2") ? "VehicleActuated" : (values.type === "lightBox3") ? "Fixed time" : "" ,
        text : ((values.type === "lightBox1" || values.type === "lightBox2") && values.text === "IL") ? "ขดลวดเหนี่ยวนำ" : ((values.type === "lightBox1" || values.type === "lightBox2") && values.text === "VIP") ? "ภาพวิดีโอ" : ((values.type === "lightBox1" || values.type === "lightBox2") && values.text === "another") ?  values.description
        : (values.type === "lightBox3") ? `วันที่เริ่ม ${this.formData.lightBox_MD} -วันที่สิ้นสุด ${this.formData.lightBox_GD}` : "",
        description : values.description,
        checkHTOC : values.checkBox,
        dateLatest : this.formData.lightBox_MD,
        dateEnd : this.formData.lightBox_GD,
     }
     this.markers.push(result)
     this.short = {}
     this.detailDialog = false

    } else if(this.typeSelected === "4") {
      
      let result = {
        id : this.short.id,
        lat : this.short.location.lat,
        lon : this.short.location.lon,
        title : "ประเภทผิวจราจรเขตทางแยก",
        type : "ประเภทผิวจราจร",
        text : (this.formData.typeTraffic === "asphalt") ? "แอสฟัลต์" : (this.formData.typeTraffic === "concrete") ? "คอนกรีต" : ""
     }
     this.markers.push(result)
     this.short = {}
     this.detailDialog = false
    } else if(this.typeSelected === "5") {
      let result = {
        id : this.short.id,
        lat : this.short.location.lat,
        lon : this.short.location.lon,
        title : "ทางข้าม (ทางม้าลาย)",
        type : (this.formData.crosswalk === "crosswalkM") ? `ประเภททางข้ามบนสายหลัก` : (this.formData.crosswalk === "crosswalkS") ? `ประเภททางข้ามบนสายรอง` : "" ,
        text : (this.formData.crosswalk === "crosswalkM") ? this.formData.crosswalkMLine 
             : (this.formData.crosswalk === "crosswalkS") ? this.formData.crosswalkSLine : ""
     }
     this.markers.push(result)
     this.short = {}
     this.detailDialog = false
    } else if(this.typeSelected === "6") {
      let result = {
        id : this.short.id,
        lat : this.short.location.lat,
        lon : this.short.location.lon,
        title : "สะพานลอยคนข้าม",
        type : (this.formData.flyover === "flyoverM") ? `สะพานลอยคนข้ามบนสายหลัก` : (this.formData.flyover === "flyoverS") ? `สะพานลอยคนข้ามบนสายรอง` : "" ,
        text : (this.formData.flyover === "flyoverM") ? this.formData.flyoverMLine 
             : (this.formData.flyover === "flyoverS") ? this.formData.flyoverSLine : ""
     }
     this.markers.push(result)
     this.short = {}
     this.detailDialog = false
    } else if(this.typeSelected === "7") {
      let result = {
        id : this.short.id,
        lat : this.short.location.lat,
        lon : this.short.location.lon,
        title : "อุโมงค์หรือสะพานข้ามเเยก",
        type : "ประเภทอุโมงค์หรือสะพานข้ามเเยก",
        text : (this.formData.tunnelOrBridge === "tunnelMLine") ? "บนสายหลัก" : (this.formData.tunnelOrBridge === "tunnelSLine") ? "บนสายรอง" : ""
     }
     this.markers.push(result)
     this.short = {}
     this.detailDialog = false
    }

    
   },
   async removeMarker (id) {
    
      this.markers =  this.markers.filter((e) => { return e.id != id })
  
    /*   let newMarker = new longdo.Marker({
                lat: latLon.lat,
                lon: latLon.lon,
              })
              
     map.Overlays.add(newMarker) */
     this.detailDialog = false
    },

    
    pin1(map){
        // click
        map.Event.bind('click', () => {
            let latLon = map.location(longdo.LocationMode.Pointer)

            const addMarker = {
                location: {
                    lat: String(latLon.lat),
                    lon: String(latLon.lon),
                }
            }
            this.markers.push(addMarker)

            let newMarker = new longdo.Marker({
                lat: latLon.lat,
                lon: latLon.lon,
            })
            map.Overlays.add(newMarker)
        })
        
    },
    pin2(map){
        // click
        map.Event.bind('click', () => {
            let latLon = map.location(longdo.LocationMode.Pointer)

            const addMarker = {
                location: {
                    lat: String(latLon.lat),
                    lon: String(latLon.lon),
                }
            }
            this.markers.push(addMarker)

            let newMarker = new longdo.Marker({
                lat: latLon.lat,
                lon: latLon.lon,
            })
            map.Overlays.add(newMarker)
        })
        
    },
    removeMK(map) {
      console.log("process .rm")
      console.log(map)
        try {
            map.Overlays.clear()
        }catch{
            console.log('nopin')
        }

        
    }
  }
}
</script>

<style>
.space-button{
  margin:5px;
}
</style>


<!-- 
      <v-radio-group v-model="typeSelected">
          <v-radio label="เสาไฟส่องสว่าง" value="1"></v-radio>
          <v-radio label="เสาไฟสัญญาณ" value="2"></v-radio>
          <v-radio label="ตู้ไฟสัญญาณ" value="3"></v-radio>
        </v-radio-group>
        <div class="pt-3"></div>
        <div v-if="typeSelected === '1'">
        <v-form>
        <h2>เสาไฟส่องสว่าง</h2>
            <v-radio-group v-model="formData.light_pole">
              <table>
                <tr>
                  <td><v-radio value="high_mast" label="High Mast" class="pb-5"></v-radio></td>
                  <td><v-text-field v-model="formData.lightPole_HM" outlined dense :disabled="formData.light_pole !== 'high_mast'"></v-text-field></td>
                  <td class="pb-6 pl-5">ม.</td>
                </tr>
                <tr>
                  <td><v-radio value="single_pole_lamp" label="เสาไฟกิ่งเดี่ยว" class="pb-5"></v-radio></td>
                  <td><v-text-field v-model="formData.lightPole_SP" outlined dense :disabled="formData.light_pole !== 'single_pole_lamp'"></v-text-field></td>
                  <td class="pb-6 pl-5">ม.</td>
                </tr>
                <tr>
                  <td><v-radio value="twin_lamp_post"  label="เสาไฟกิ่งคู่" class="pb-5"></v-radio></td>
                  <td><v-text-field v-model="formData.lightPole_TP" outlined dense :disabled="formData.light_pole !== 'twin_lamp_post'"></v-text-field></td>
                  <td class="pb-6 pl-5">ม.</td>
                </tr>
              </table>
            </v-radio-group>

          <label for=""><h3>วันที่ซ่อมบำรุงล่าสุด</h3></label>
          <v-menu
            ref="menu"
            v-model="menu"
            :close-on-content-click="false"
            :return-value.sync="dates"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-combobox
                v-model="formData.lightPole_MD"
                chips
                small-chips
                label="วันที่สิ้นสุดการรับประกัน"
                prepend-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-combobox>
            </template>
            <v-date-picker
              v-model="formData.lightPole_MD"
              no-title
              scrollable
            >
            </v-date-picker>
          </v-menu>
          <label for=""><h3>วันที่สิ้นสุดการรับประกัน</h3></label>
          <v-menu
            ref="menu"
            v-model="menu"
            :close-on-content-click="false"
            :return-value.sync="dates"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-combobox
                v-model="formData.lightPole_GD"
                chips
                small-chips
                label="วันที่สิ้นสุดการรับประกัน"
                prepend-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-combobox>
            </template>
            <v-date-picker
              v-model="formData.lightPole_GD"
              no-title
              scrollable
            >
            </v-date-picker>
          </v-menu>
         </v-form>
        </div>


        <div v-if="typeSelected === '2'">
          เสาไฟสัญญาณ
          <div class="center-element">

         <SLPpart />
         </div>
        </div>


        <div v-if="typeSelected === '3'">
        <v-form class="py-4">
        <label for=""><h2>ตู้ไฟสัญญาณ</h2></label>
        <v-container>
          <v-row no-gutters>
            <v-col cols="3">
              <v-radio-group v-model="formData.adaptive"></v-radio-group>

            </v-col>
            <v-col cols="9">
            </v-col>
          </v-row>
       
        <label for=""><h3>ประเภทตู้ไฟสัญญาณ</h3></label>
        <v-radio-group v-model="formData.lightBox">
          <v-radio label="Adaptive" value="lightBox1"> </v-radio>
          <v-container v-if="formData.lightBox === 'lightBox1'">
            <v-radio-group v-model="formData.adaptive">
              <label for="xx">
                <v-radio label="ขดลวดเหนี่ยวนำ (Inductive loop)" value="IL"></v-radio>
                <v-radio label="ภาพวิดีโอ (Video Image processing)" value="VIP"></v-radio>
                <v-row class="pl-0">
                  <v-col cols="auto">
                    <v-radio value="another" label="อื่น ๆ ระบุ" class="pt-2"></v-radio>
                  </v-col>
                  <v-col cols="auto" align="center">
                    <v-text-field v-model="formData.adaptive_another" outlined dense :disabled="formData.adaptive !== 'another'"></v-text-field>
                  </v-col>
                </v-row>
              </label>
              <v-checkbox
                v-model="formData.adaptive_HTOC"
                :label="`มีการส่งข้อมูลการจราจรกลับไปที่ศูนย์ HTOC`"
              ></v-checkbox>
            </v-radio-group>
          </v-container>

          <v-radio label="Vehicle Actuated" value="lightBox2"></v-radio>
          <v-container v-if="formData.lightBox === 'lightBox2'">
            

            <v-radio-group v-model="formData.vehicleActuated">
              <label for="xx">
                <v-radio label="ขดลวดเหนี่ยวนำ (Inductive loop)" value="IL"></v-radio>
                <v-radio label="ภาพวิดีโอ (Video Image processing)" value="VIP"></v-radio>
                <v-row class="pl-0">
                  <v-col cols="auto">
                    <v-radio value="another" label="อื่น ๆ ระบุ" class="pt-2"></v-radio>
                  </v-col>
                  <v-col cols="auto" align="center">
                    <v-text-field v-model="formData.vehicleActuated_another" outlined dense :disabled="formData.vehicleActuated !== 'another'"></v-text-field>
                  </v-col>
                </v-row>
              </label>
              <v-checkbox
                v-model="formData.vehicleActuated_HTOC"
                :label="`มีการส่งข้อมูลการจราจรกลับไปที่ศูนย์ HTOC`"
              ></v-checkbox>
            </v-radio-group>
          </v-container>
          <v-radio label="Fixed time" value="lightBox3">
            <v-container v-if="formData.lightBox === 'lightBox3'">
            <label for=""><h3>วันที่ซ่อมบำรุงล่าสุด</h3></label>
         <v-menu
          ref="menu"
          v-model="menu"
          :close-on-content-click="false"
          :return-value.sync="dates"
          transition="scale-transition"
          offset-y
          min-width="auto"
        >
          <template v-slot:activator="{ on, attrs }">
            <v-combobox
              v-model="formData.lightBox_MD"
              chips
              small-chips
              label="วันที่สิ้นสุดการรับประกัน"
              prepend-icon="mdi-calendar"
              readonly
              v-bind="attrs"
              v-on="on"
            ></v-combobox>
          </template>
          <v-date-picker
            v-model="formData.lightBox_MD"
            no-title
            scrollable
          >
          </v-date-picker>
        </v-menu>
        <label for=""><h3>วันที่สิ้นสุดการรับประกัน</h3></label>
        <v-menu
          ref="menu"
          v-model="menu"
          :close-on-content-click="false"
          :return-value.sync="dates"
          transition="scale-transition"
          offset-y
          min-width="auto"
        >
          <template v-slot:activator="{ on, attrs }">
            <v-combobox
              v-model="formData.lightBox_GD"
              chips
              small-chips
              label="วันที่สิ้นสุดการรับประกัน"
              prepend-icon="mdi-calendar"
              readonly
              v-bind="attrs"
              v-on="on"
            ></v-combobox>
          </template>
          <v-date-picker
            v-model="formData.lightBox_GD"
            no-title
            scrollable
          >
          </v-date-picker>
         </v-menu>
        </v-container>
          </v-radio>
        </v-radio-group>

     
      </v-container>
    </v-form>

    
      </div>
 -->